Subject: Re: bug#8749: mkdir: feature request --reference

From: Shaun Jackman <[email-masked]>
Date: Tue, 31 May 2011 15:56:36 -0700

On Tue, 2011-05-31 at 15:49 -0700, Bob Proulx wrote:
> Shaun Jackman wrote:
> > My use case is working in a directory shared amongst a group of users.
> > My umask is 022. I run
> 
> If you are working among a group of users then you should set your
> umask to be 02 instead of 022.  That is probably the point where you
> diverged from common practice and started to have these problems with
> mkdir.
> 
> Have you looked at the any of the User Private Group documentation
> yet?  If not then please do so.  Good stuff there.
> 
> > mkdir -pm775 project/subproject
> > and I'd like both project and project/subproject to be group-writable.
> 
> If you set your umask to be 02 then you no longer need to explicitly
> set the mode bits to ug=rwx,o=rx anymore.
> 
> Bob

Hi Bob,

Yes, I have read the documentation on User Private Group. It makes a lot
of sense. Currently all the users of my team are in one group, and so my
umask is 022. I'll have to talk to my systems group about changing our
practice.

Cheers,
Shaun